Capture Screenshot Endpoint
curl --request POST \
--url https://api.example.com/api/v1/screenshots/capture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"viewport_width": 1200,
"viewport_height": 630,
"selector": "<string>",
"delay_ms": 1000
}
'import requests
url = "https://api.example.com/api/v1/screenshots/capture"
payload = {
"url": "<string>",
"viewport_width": 1200,
"viewport_height": 630,
"selector": "<string>",
"delay_ms": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
viewport_width: 1200,
viewport_height: 630,
selector: '<string>',
delay_ms: 1000
})
};
fetch('https://api.example.com/api/v1/screenshots/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Screenshots
Capture Screenshot Endpoint
Capture a screenshot of a URL.
Returns a signed download URL for the PNG image, along with storage key and dimensions. The screenshot is stored in R2 with a 1-hour signed URL.
POST
/
api
/
v1
/
screenshots
/
capture
Capture Screenshot Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I